<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__ota__agent__params__t" kind="struct" prot="public">
    <compoundname>cy_ota_agent_params_t</compoundname>
    <includes local="no">cy_ota_api.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__ota__agent__params__t_1adf754cf9aaa07e786e366dc2204d6429" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_ota_agent_params_t::reboot_upon_completion</definition>
        <argsstring />
        <name>reboot_upon_completion</name>
        <briefdescription>
<para>1 = Automatically reboot upon download completion and verify </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="791" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="791" />
      </memberdef>
      <memberdef id="structcy__ota__agent__params__t_1a4474305852ba2b1f29e8b0d15ca671c5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_ota_agent_params_t::validate_after_reboot</definition>
        <argsstring />
        <name>validate_after_reboot</name>
        <briefdescription>
<para>0 = OTA will set mcuboot to permanent before reboot 1 = Application must call <ref kindref="member" refid="group__group__ota__functions_1gaedc8ac983fc4781d0a4ca3e5dc113ec5">cy_ota_validated()</ref> after reboot </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="792" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="792" />
      </memberdef>
      <memberdef id="structcy__ota__agent__params__t_1a2f3b68d908f64e031aca84d871554850" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ota__callback_1gada4cd31993f1831e886a4beac9039220">cy_ota_callback_t</ref></type>
        <definition>cy_ota_callback_t cy_ota_agent_params_t::cb_func</definition>
        <argsstring />
        <name>cb_func</name>
        <briefdescription>
<para>Notification callback function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="795" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="795" />
      </memberdef>
      <memberdef id="structcy__ota__agent__params__t_1a8734130b240a3c0121a412c1a92afffa" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* cy_ota_agent_params_t::cb_arg</definition>
        <argsstring />
        <name>cb_arg</name>
        <briefdescription>
<para>Opaque arg passed to Notification callback function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="796" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="796" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>OTA Agent parameters structure. </para>    </briefdescription>
    <detaileddescription>
<para>These parameters are for describing some aspects of the OTA Agent. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="5">
        <label>cy_ota_agent_params_t</label>
        <link refid="structcy__ota__agent__params__t" />
        <childnode refid="6" relation="usage">
          <edgelabel>cb_func</edgelabel>
        </childnode>
      </node>
      <node id="6">
        <label>cy_ota_cb_struct_t</label>
        <link refid="structcy__ota__cb__struct__t" />
        <childnode refid="7" relation="usage">
          <edgelabel>broker_server</edgelabel>
        </childnode>
        <childnode refid="8" relation="usage">
          <edgelabel>storage</edgelabel>
        </childnode>
      </node>
      <node id="8">
        <label>cy_ota_storage_write_info_t</label>
        <link refid="structcy__ota__storage__write__info__t" />
      </node>
      <node id="7">
        <label>cy_ota_server_info_t</label>
        <link refid="structcy__ota__server__info__t" />
      </node>
    </collaborationgraph>
    <location bodyend="797" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="789" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="790" />
    <listofallmembers>
      <member prot="public" refid="structcy__ota__agent__params__t_1a8734130b240a3c0121a412c1a92afffa" virt="non-virtual"><scope>cy_ota_agent_params_t</scope><name>cb_arg</name></member>
      <member prot="public" refid="structcy__ota__agent__params__t_1a2f3b68d908f64e031aca84d871554850" virt="non-virtual"><scope>cy_ota_agent_params_t</scope><name>cb_func</name></member>
      <member prot="public" refid="structcy__ota__agent__params__t_1adf754cf9aaa07e786e366dc2204d6429" virt="non-virtual"><scope>cy_ota_agent_params_t</scope><name>reboot_upon_completion</name></member>
      <member prot="public" refid="structcy__ota__agent__params__t_1a4474305852ba2b1f29e8b0d15ca671c5" virt="non-virtual"><scope>cy_ota_agent_params_t</scope><name>validate_after_reboot</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>